### File

`packages/eui/packages/components-next/src/lib/components/eui-autocomplete/models/eui-autocomplete-item.model.ts`

### Index

###### Properties
dragAndDropSource euiInternalId iconClass id isOutline isRemovable isRounded label Optional metadata sizeClass Optional tooltip typeClass

### Constructor

`constructor(values: Object)`
Parameters :
Name | Type | Optional
values | `Object` | No

### Properties

dragAndDropSource
Type : `string`

euiInternalId
Type : `string`

iconClass
Type : `string`

id
Type : `string | number`

isOutline
Type : `boolean`

isRemovable
Type : `boolean`

isRounded
Type : `boolean`

label
Type : `string`

Optional metadata
Type : `any`

sizeClass

Optional tooltip
Type : `EuiChipTooltip`

typeClass

# result-matching ""

# No results matching ""